Get Orders
Retrieves a paginated list of orders from your ShipBob account with optional filters. All filter parameters use AND logic, meaning orders must match all provided criteria to be returned.
Authentication
AuthorizationBearer
Authentication using Personal Access Token (PAT) token or OAuth2
Headers
shipbob_channel_id
Retrieve your channel ID from the GET /channel endpoint. Use the channel ID that has write scopes.
Query parameters
Page
Page of orders to get
Limit
Amount of orders per page to request
IDs
order ids to filter by, comma separated
Example: ?IDs=1,2
ReferenceIds
Reference ids to filter by, comma separated
Example: ?ReferenceIds=Ref1,Ref2
StartDate
Start date to filter orders inserted later than
EndDate
End date to filter orders inserted earlier than
SortOrder
Order to sort results in
HasTracking
Has any portion of this order been assigned a tracking number
LastUpdateStartDate
Start date to filter orders updated later than
LastUpdateEndDate
End date to filter orders updated later than
IsTrackingUploaded
Filter orders that their tracking information was fully uploaded
LastTrackingUpdateStartDate
Start date to filter orders with tracking updates later than the supplied date. Will only return orders that have tracking information
LastTrackingUpdateEndDate
End date to filter orders updated later than the supplied date. Will only return orders that have tracking information
Response
Success
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error

